#!/usr/bin/env perl

use utf8;
use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../lib";

use My::Schema;

my $schema = My::Schema->connect(
    "dbi:SQLite:$FindBin::Bin/../database.db", '', '', {
        sqlite_unicode => 1,
    }
);

# ユーザーを検索
my $rs = $schema->resultset('User')->search({ username => { -like => 'user-%' }});

while (my $user = $rs->next) {
    # ユーザー名とプロフィールを表示
    print $user->username, ' : ', $user->profile->bio, "\n";
}


