#!/usr/bin/env perl

use utf8;
use strict;
use warnings;
use FindBin;
use lib "$FindBin::Bin/../lib";

use My::Schema;

my $schema = My::Schema->connect(
    "dbi:SQLite:$FindBin::Bin/../database.db", '', '', {
        sqlite_unicode => 1,
    }
);

# 注意！！！
# このスクリプトを実行する前に二人以上のユーザーが作成されている必要があります

my $user_rs = $schema->resultset('User');

# ユーザーを2人取得
my $user1 = $user_rs->next;
my $user2 = $user_rs->next;

print 'user1: ', $user1->username, "\n";
print 'user2: ', $user2->username, "\n";
print "\n";

# $user2 が $user1 をfollow
$user2->follow($user1);

# $user2 のフォロー一覧を表示、user1がでるはず
{
    my $rs = $user2->followings;
    print '$user2 followings:', "\n";
    while (my $user = $rs->next) {
        print '  ', $user->username, "\n";
    }
}

# $user1 のフォロワー一覧を表示、user2がでるはず
{
    my $rs = $user1->followers;
    print '$user1 followers:', "\n";
    while (my $user = $rs->next) {
        print '  ', $user->username, "\n";
    }
}
